Bug 77592 - cannot use JBJ test RPM rpm-4.1-9.i386.rpm
cannot use JBJ test RPM rpm-4.1-9.i386.rpm
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-09 17:42 EST by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-16 09:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-11-09 17:42:51 EST
[root@landlocked rpm]# /usr/src/redhat/BUILD/rpm-4.1/db3/db_verify Packages
db_verify: Page 1450 encountered a second time on free list
db_verify: DB->verify: Packages: DB_VERIFY_BAD: Database verification failed
[root@landlocked rpm]#  db_dump Packages-ORIG | db_load Packages
[root@landlocked rpm]# /usr/src/redhat/BUILD/rpm-4.1/db3/db_verify Packages
db_verify: Page 1450 encountered a second time on free list
db_verify: DB->verify: Packages: DB_VERIFY_BAD: Database verification failed
[root@landlocked rpm]# rpm -q rpm
openssl-0.9.6b-28
[root@landlocked rpm]# rpm -qa | grep rpm
autorpm-1.9.9-1
rpm-build-4.1-1.07.7x
rpm-python-4.1-1.07.7x
rpm-utils-1.5-1
rpm-4.1-1.07.7x
[root@landlocked rpm]#

host access as needed; and Packages URL to follow in private email

------------------------

yucky error

[root@landlocked dl]# rpm -qi python
Name        : gpg-pubkey                   Relocations: (not relocateable)
Version     : db42a60e                          Vendor: (none)
Release     : 37ea5438                      Build Date: Thu Sep 19 16:21:58 2002
Install date: Thu Sep 19 16:21:58 2002      Build Host: localhost
Group       : Public Keys                   Source RPM: (none)
Size        : 0                                License: pubkey
Signature   : (none)
Summary     : gpg(Red Hat, Inc <security@redhat.com>)
Description :
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: rpm-4.1 (beecrypt-2.2.0)

mQGiBDfqVDgRBADBKr3Bl6PO8BQ0H8sJoD6p9U7Yyl7pjtZqioviPwXP+DCWd4u8HQzcxAZ5
7m8ssA1LK1Fx93coJhDzM130+p5BG9mYSWShLabR3N1KXdXQYYcowTOMGxdwYRGr1Spw8Qyd
LhjVfU1VSl4xt6bupPbWJbyjkg5Z3P7BlUOUJmrx3wCgobNVEDGaWYJcch5z5B1of/41G8kE
AKii6q7Gu/vhXXnLS6m15oNnPVybyngiw/23dKjSZVG7rKANEK2mxg1VB+vc/uUc4k49UxJJ
fCZg1gu1sPFV3GSa+Y/7jsiLktQvCiLPlncQt1dV+ENmHR5BdIDPWDzKBVbgWnSDnqQ6KrZ7
T6AlZ74VMpjGxxkWU6vV2xsWXCLPA/9P/vtImA8CZN3jxGgtK5GGtDNJ/cMhhuv5tnfwFg4b
/VGo2Jr8mhLUqoIbE6zeGAmZbUpdckDco8D5fiFmqTf5+++pCEpJLJkkzel/32N2w4qzPrcR
MCiBURESPjCLd4Y5rPoU8E4kOHc/4BuHN903tiCsCPloCrWsQZ7UdxfQ5LQiUmVkIEhhdCwg
SW5jIDxzZWN1cml0eUByZWRoYXQuY29tPohVBBMRAgAVBQI36lQ4AwsKAwMVAwIDFgIBAheA
AAoJECGRgM3bQqYOsBQAnRVtg7B25Hm11PHcpa8FpeddKiq2AJ9aO8sBXmLDmPOEFI75mpTr
KYHF6rkCDQQ36lRyEAgAokgI2xJ+3bZsk8jRA8ORIX8DH05UlMH27qFYzLbT6npXwXYIOtVn
0K2/iMDj+oEB1Aa2au4OnddYaLWp06v3d+XyS0t+5ab2ZfIQzdh7wCwxqRkzR+/H5TLYbMG+
hvtTdylfqIX0WEfoOXMtWEGSVwyUsnM3Jy3LOi48rQQSCKtCAUdV20FoIGWhwnb/gHU1BnmE
S6UdQujFBE6EANqPhp0coYoIhHJ2oIO8ujQItvvNaU88j/s/izQv5e7MXOgVSjKe/WX3s2Jt
B/tW7utpy12wh1J+JsFdbLV/t8CozUTpJgx5mVA3RKlxjTA+On+1IEUWioB+iVfT7Ov/0kcA
zwADBQf9E4SKCWRand8K0XloMYgmipxMhJNnWDMLkokvbMNTUoNpSfRoQJ9EheXDxwMpTPwK
ti/PYrrL2J11P2ed0x7zm8v3gLrY0cue1iSba+8glY+p31ZPOr5ogaJw7ZARgoS8BwjyRymX
Qp+8Dete0TELKOL2/itDOPGHW07SsVWOR6cmX4VlRRcWB5KejaNvdrE54XFtOd04NMgWI63u
qZc4zkRa+kwEZtmbz3tHSdRCCE+Y7YVP6IUf/w6YPQFQriWYFiA6fD10eB+BlIUqIw80Vgjs
BKmCwvKkn4jg8kibXgj4/TzQSx77uYokw1EqQ2wkOZoaEtcubsNMquuLCMWijYhGBBgRAgAG
BQI36lRyAAoJECGRgM3bQqYOhyYAnj7hVDY/FJAGqmtZpwVp9IlitW5tAJ4xQApr/jNFZCTk
snI+4O1765F7tA==
=3AHZ
-----END PGP PUBLIC KEY BLOCK-----

[root@landlocked dl]#


[root@landlocked dl]# ls
kernel-2.4.18-3.i386.rpm            rpm-4.1-9.i386.rpm
popt-1.7-9.i386.rpm                 rpm-4.1-9.src.rpm
python-clap-1.0.0-3.noarch.rpm      rpm-build-4.1-9.i386.rpm
python-popt-0.8.8-7.x.2.i386.rpm    rpm-python-4.1-9.i386.rpm
rhn_register-2.7.21-7.x.3.i386.rpm  up2date-2.7.86-7.x.3.i386.rpm
[root@landlocked dl]# rpm -Uvh popt-1.7-9.i386.rpm  rpm-*rpm
Segmentation fault (core dumped)
[root@landlocked dl]# rpm -Uvvvh popt-1.7-9.i386.rpm  rpm-*rpm
D: ============== popt-1.7-9.i386.rpm
D: Expected size:        69700 = lead(96)+sigs(180)+pad(4)+data(69420)
D:   Actual size:        69700
D: popt-1.7-9.i386.rpm: MD5 digest: OK (ac78d8ccc485ec065658b7d402314b3d)
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D:  read h#     359 Header sanity check: OK
D:      added binary package [0]
D: ============== rpm-4.1-9.i386.rpm
D: Expected size:      2226058 = lead(96)+sigs(180)+pad(4)+data(2225778)
D:   Actual size:      2226058
D: rpm-4.1-9.i386.rpm: MD5 digest: OK (266c4cfcf2fb59983a5e6ed02b59ed94)
D:  read h#     383 Header SHA1 digest: OK
(14e5c9139c67f3807c3c029c756054249202d507)
D:      added binary package [1]
D: ============== rpm-4.1-9.src.rpm
D: Expected size:      6480200 = lead(96)+sigs(180)+pad(4)+data(6479920)
D:   Actual size:      6480200
D: rpm-4.1-9.src.rpm: MD5 digest: OK (90916eec69acb75f7fa3ab67204bf14f)
D:      added source package [0]
D: ============== rpm-build-4.1-9.i386.rpm
D: Expected size:        80808 = lead(96)+sigs(180)+pad(4)+data(80528)
D:   Actual size:        80808
D: rpm-build-4.1-9.i386.rpm: MD5 digest: OK (cb1c68452a96a0e8d057f535a392befe)
D:  read h#     119 Header sanity check: OK
D:      added binary package [2]
D: ============== rpm-python-4.1-9.i386.rpm
D: Expected size:        97329 = lead(96)+sigs(180)+pad(4)+data(97049)
D:   Actual size:        97329
D: rpm-python-4.1-9.i386.rpm: MD5 digest: OK (86de307c408bce9fafb6bb03d71706a5)
D:  read h#     239 Header sanity check: OK
D:      added binary package [3]
D: found 1 source and 4 binary packages
D: ========== +++ popt-1.7-9
D: opening  db index       /var/lib/rpm/Depends create mode=0x0
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0
D:  Requires: /sbin/ldconfig                                NO
D: package popt-1.7-9 has unsatisfied Requires: /sbin/ldconfig
D:  Requires: /sbin/ldconfig                                NO  (cached)
D: package popt-1.7-9 has unsatisfied Requires: /sbin/ldconfig
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (rpmlib provides)
D:  read h#     127 Header sanity check: OK
D:  Requires: libc.so.6                                     YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.0)                          YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.1.3)                        YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.3)                          NO
D: package popt-1.7-9 has unsatisfied Requires: libc.so.6(GLIBC_2.3)
D: ========== +++ rpm-4.1-9
D: opening  db index       /var/lib/rpm/Pubkeys rdonly mode=0x0
D:  read h#      95 Header sanity check: OK
D:  read h#     335 Header sanity check: OK
D:  read h#      86 Header V3 DSA signature: NOKEY, key ID db42a60e
D:  Requires: gawk                                          YES (db provides)
D:  read h#      32 Header sanity check: OK
D:  Requires: fileutils                                     YES (db provides)
D:  read h#     207 Header sanity check: OK
D:  Requires: textutils                                     YES (db provides)
D:  read h#      74 Header sanity check: OK
D:  Requires: mktemp                                        YES (db provides)
D:  read h#      12 Header sanity check: OK
D:  Requires: shadow-utils                                  YES (db provides)
D:  Requires: popt = 1.7                                    YES (added provide)
D:  Requires: libelf >= 0.8.2                               NO
D: package rpm-4.1-9 has unsatisfied Requires: libelf >= 0.8.2
D:  Requires: rpmlib(VersionedDependencies) <= 3.0.3-1      YES (rpmlib provides)
D:  Requires: /bin/sh                                       NO
D: package rpm-4.1-9 has unsatisfied Requires: /bin/sh
D:  Requires: /bin/sh                                       NO  (cached)
D: package rpm-4.1-9 has unsatisfied Requires: /bin/sh
D:  Requires: /bin/sh                                       NO  (cached)
D: package rpm-4.1-9 has unsatisfied Requires: /bin/sh
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (cached)
D:  Requires: /bin/sh                                       NO  (cached)
D: package rpm-4.1-9 has unsatisfied Requires: /bin/sh
D:  read h#     371 Header sanity check: OK
D:  Requires: libbz2.so.1                                   YES (db provides)
D:  Requires: libc.so.6                                     YES (cached)
D:  Requires: libc.so.6(GLIBC_2.0)                          YES (cached)
D:  Requires: libc.so.6(GLIBC_2.1)                          YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.1.3)                        YES (cached)
D:  Requires: libc.so.6(GLIBC_2.2)                          YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.2.3)                        YES (db provides)
D:  Requires: libc.so.6(GLIBC_2.3)                          NO  (cached)
D: package rpm-4.1-9 has unsatisfied Requires: libc.so.6(GLIBC_2.3)
D:  Requires: libelf.so.0                                   NO
D: package rpm-4.1-9 has unsatisfied Requires: libelf.so.0
D:  Requires: libpopt.so.0                                  YES (added provide)
D:  Requires: libpthread.so.0                               YES (db provides)
D:  Requires: libpthread.so.0(GLIBC_2.0)                    YES (db provides)
D:  Requires: librpm-4.1.so                                 YES (added provide)
D:  Requires: librpmbuild-4.1.so                            YES (added provide)
D:  Requires: librpmdb-4.1.so                               YES (added provide)
D:  Requires: librpmio-4.1.so                               YES (added provide)
D:  Requires: librt.so.1                                    YES (db provides)
D:  Requires: librt.so.1(GLIBC_2.1)                         YES (db provides)
D:  read h#      10 Header sanity check: OK
D: Conflicts: patch < 2.5                                   NO
D: ========== +++ rpm-build-4.1-9
D:  Requires: rpm = 4.1                                     YES (added provide)
D:  Requires: patch >= 2.5                                  NO
D: package rpm-build-4.1-9 has unsatisfied Requires: patch >= 2.5
D:  read h#     122 Header sanity check: OK
D:  Requires: file                                          YES (db provides)
D:  Requires: rpmlib(VersionedDependencies) <= 3.0.3-1      YES (cached)
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (cached)
D:  Requires: /bin/bash                                     NO
D: package rpm-build-4.1-9 has unsatisfied Requires: /bin/bash
D:  Requires: /bin/sh                                       NO  (cached)
D: package rpm-build-4.1-9 has unsatisfied Requires: /bin/sh
Segmentation fault (core dumped)
[root@landlocked dl]#
Comment 1 R P Herrold 2002-11-16 01:14:30 EST
subtext might  be: JBJ rpm-4.1-10.src.rpm test candidate requested as JBJ
rpm-4.1-9.src.rpm is not yielding any new information that I can see from
Bugzilla reports ...

Another instance of being unable to build the JBJ test candidate on a 7.2
chassis -- this time my host: router/basement --  rpm-4.1-9.src.rpm

I am having up2date issues on this unit as well, and just filed ticket 77975  
-- tried building the JBJ rpm-4.1-9 test candidate -- had to comment out the
python-devel BuildDependency; the box is that python, python2-devel/python2
wierd mix transition mixture;  added libelf package, and am still missing the
apidocs build toolchain cruft

really frustrating after 1.5 hr rpm build, trying to revive a wounded host to
rule out rpm database issues on the up2date Attribute error. ....

Please consider issuing a -2 on the test candidate, with:

1.  the 'release correct' elf buildrequire
2.  a conditional rpm-devel build if the toolchain is not all present.
3.  a python-devel / python2-devel variant present buildrequire

...
+ cp -pr apidocs /var/tmp/rpm-root/usr/share/doc/rpm-devel-4.1
cp: cannot stat `apidocs': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.8878 (%doc)
PreReq: /sbin/ldconfig /sbin/ldconfig
<snip[>
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.8878 (%doc)
[root@router dl]#

---------------

-- RPH
Comment 2 Jeff Johnson 2002-11-16 09:39:06 EST
FWIW, -9 is to fix a missed SIGCHLD, dunno "release
candidate" even now.

the segfault will not happen if you are using
packages produced by rpm-4.1, which checks
signatures/digests whenever a header is read.

W/o a signature/digest, only a sanity check is possible,
and that is not perfect.

1) take out the build require, it was necessary only
for a transition (0.8.2 adds gelf API) within the
8.0 release.

2) presumably you want rpm configure to just deal with
what's installed. that leads to packages w/o apidocs
if doxygen happens not to be installed, not good.
there's switch(s) to disable apidocs/perl if/when necessary

3) there are so much variant python/python2 packaging
that it's hard to insure the right thing happens for all cases.
I've chosen to fail immediatley, rather than discover rpm is
miscompiled later. there's switches in the spec file to set
the python path. FWIW, I'm not at all sure that python bindings
are fully functional if not python > 2.0, current bindings
use new fangled 2.x features.

Ditto with up2date, there's enough subtle churn that you're
probably best off getting over your transition, rather than
trying to figger up2date needs.

Note You need to log in before you can comment on or make changes to this bug.